Index: /titan/plugins/tithek/kinox.h
===================================================================
--- /titan/plugins/tithek/kinox.h	(revision 41375)
+++ /titan/plugins/tithek/kinox.h	(revision 41376)
@@ -58,9 +58,9 @@
 		debug(99, "search: %s", search);
 
-		ip = ostrcat("kinox.me", NULL, 0, 0);
+		ip = ostrcat("kinox.sx", NULL, 0, 0);
 		if(flag == 0)
 			path = ostrcat("Search.html?q=", search, 0, 0);
 		else
-			path = string_replace_all("http://kinox.me/", "", search, 0);
+			path = string_replace_all("http://kinox.sx/", "", search, 0);
 		
 		tmpstr = gethttp(ip, path, 80, NULL, NULL, 10000, NULL, 0);
@@ -100,5 +100,5 @@
 						lang = ostrcat(lang, " (\?\?)", 1, 0);
 																	
-					tmpstr1 = gethttp("kinox.me", path, 80, NULL, NULL, 10000, NULL, 0);
+					tmpstr1 = gethttp("kinox.sx", path, 80, NULL, NULL, 10000, NULL, 0);
 
 					from = ostrcat("<div class=\"Grahpics\"><a href=\"", path, 0, 0);
@@ -116,5 +116,5 @@
 					title = ostrcat(title , lang, 1, 0);
 
-					url = ostrcat("http://kinox.me", path, 0, 0);
+					url = ostrcat("http://kinox.sx", path, 0, 0);
 
 					debug(99, "---------------------------");
@@ -131,5 +131,5 @@
 						line = ostrcat(line, "#", 1, 0);
 						line = ostrcat(line, url, 1, 0);
-						line = ostrcat(line, "#http://kinox.me/", 1, 0);
+						line = ostrcat(line, "#http://kinox.sx/", 1, 0);
 						line = ostrcat(line, pic, 1, 0);
 						line = ostrcat(line, "#kinox_search_", 1, 0);
@@ -374,5 +374,5 @@
 							hlink = string_replace_all("amp;Hoster", "Hoster", hlink, 1);
 							hname = string_resub("<div class=\"Named\">", "</div>", ret1[i].part, 0);
-							pathnewtmp = ostrcat("kinox.me/aGET/Mirror/", hlink, 0, 0);
+							pathnewtmp = ostrcat("kinox.sx/aGET/Mirror/", hlink, 0, 0);
 							pathnew = ostrcat(pathnewtmp, NULL, 0, 0);
 						}
@@ -382,5 +382,5 @@
 							hlink = ostrcat(hlink, "Mirror=", 0, 0);
 							hname = string_resub("<div class=\"Named\">", "</div>", ret1[i].part, 0);
-							pathnewtmp = ostrcat("kinox.me/aGET/Mirror/", hlink, 0, 0);
+							pathnewtmp = ostrcat("kinox.sx/aGET/Mirror/", hlink, 0, 0);
 							pathnew = ostrcat(pathnewtmp, oitoa(j), 0, 1);
 						}
@@ -397,5 +397,5 @@
 
 
-//						tmpstr1 = gethttp("kinox.me", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+//						tmpstr1 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 						tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 
@@ -403,5 +403,5 @@
 						{
 							sleep(1);
-//							tmpstr1 = gethttp("kinox.to", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+//							tmpstr1 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 							tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 						}
@@ -409,5 +409,5 @@
 						{
 							sleep(1);
-//							tmpstr1 = gethttp("kinox.to", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+//							tmpstr1 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 							tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 						}
@@ -415,5 +415,5 @@
 						{
 							sleep(1);
-//							tmpstr1 = gethttp("kinox.to", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+//							tmpstr1 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 							tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 						}
@@ -421,5 +421,5 @@
 						{
 							sleep(1);
-//							tmpstr1 = gethttp("kinox.to", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+//							tmpstr1 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 							tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 						}
@@ -443,9 +443,9 @@
 						titheklog(debuglevel, "/tmp/kinox6_pathnew2", hname, NULL, NULL, pathnew);
 					
-						tmpstr3 = gethttp("kinox.me", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+						tmpstr3 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 						if(ostrstr(tmpstr3, "503 Service Temporarily Unavailable") != NULL)
 						{
 							sleep(1);
-							tmpstr3 = gethttp("kinox.to", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+							tmpstr3 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 						}
 						free(pathnew), pathnew = NULL;
@@ -466,9 +466,9 @@
 						titheklog(debuglevel, "/tmp/kinox6_pathnew3", hname, NULL, NULL, pathnew);
 					
-						tmpstr4 = gethttp("kinox.me", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+						tmpstr4 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 						if(ostrstr(tmpstr4, "503 Service Temporarily Unavailable") != NULL)
 						{
 							sleep(1);
-							tmpstr4 = gethttp("kinox.to", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+							tmpstr4 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 						}
 						free(pathnew), pathnew = NULL;
@@ -489,9 +489,9 @@
 						titheklog(debuglevel, "/tmp/kinox6_pathnew4", hname, NULL, NULL, pathnew);
 					
-						tmpstr5 = gethttp("kinox.me", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+						tmpstr5 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 						if(ostrstr(tmpstr5, "503 Service Temporarily Unavailable") != NULL)
 						{
 							sleep(1);
-							tmpstr5 = gethttp("kinox.to", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+							tmpstr5 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 						}
 						free(pathnew), pathnew = NULL;
@@ -742,6 +742,6 @@
 
 		searchname = ostrcat(searchname, ret0[0].part, 1, 0);
-		searchname = string_replace("http://kinox.me//Stream/", "", searchname, 0);
-		searchname = string_replace("http://kinox.me/Stream/", "", searchname, 0);
+		searchname = string_replace("http://kinox.sx//Stream/", "", searchname, 0);
+		searchname = string_replace("http://kinox.sx/Stream/", "", searchname, 0);
 		searchname = string_replace(".html", "", searchname, 0);
 		debug(99, "searchname: %s", searchname);
@@ -778,5 +778,5 @@
 	
 		free(tmpstr), tmpstr = NULL;
-		tmpstr = gethttp("kinox.me", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+		tmpstr = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 		free(pathnew), pathnew = NULL;
 	
@@ -833,5 +833,5 @@
 							hlink = string_replace_all("amp;Hoster", "Hoster", hlink, 1);
 							hname = string_resub("<div class=\"Named\">", "</div>", ret1[i].part, 0);
-							pathnewtmp = ostrcat("kinox.me/aGET/Mirror/", hlink, 0, 0);
+							pathnewtmp = ostrcat("kinox.sx/aGET/Mirror/", hlink, 0, 0);
 							pathnew = ostrcat(pathnewtmp, NULL, 0, 0);
 						}
@@ -841,5 +841,5 @@
 							hlink = ostrcat(hlink, "Mirror=", 0, 0);
 							hname = string_resub("<div class=\"Named\">", "</div>", ret1[i].part, 0);
-							pathnewtmp = ostrcat("kinox.me/aGET/Mirror/", hlink, 0, 0);
+							pathnewtmp = ostrcat("kinox.sx/aGET/Mirror/", hlink, 0, 0);
 							pathnew = ostrcat(pathnewtmp, oitoa(j), 0, 1);
 						}
@@ -868,9 +868,9 @@
 						extra = string_resub("<b>Vom</b>: ", "</div>", ret1[i].part, 0);
 			
-						hlink = string_replace("http://kinox.me//Stream/", "", hlink, 1);					
-						hlink = string_replace("http://kinox.me/Stream/", "", hlink, 1);
+						hlink = string_replace("http://kinox.sx//Stream/", "", hlink, 1);					
+						hlink = string_replace("http://kinox.sx/Stream/", "", hlink, 1);
 										
 //						debug(99, "pathnew: %s", pathnew);
-//						tmpstr1 = gethttp("kinox.me", pathnew, 80, NULL, NULL, 10000, NULL, 0);
+//						tmpstr1 = gethttp("kinox.sx", pathnew, 80, NULL, NULL, 10000, NULL, 0);
 						tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 //						debug(99, "tmpstr1 1: %s", tmpstr1);
@@ -887,5 +887,5 @@
 						{
 							free(pathnew), pathnew = NULL;
-							pathnew = ostrcat("kinox.me/aGET/Mirror/", hlink, 0, 0);
+							pathnew = ostrcat("kinox.sx/aGET/Mirror/", hlink, 0, 0);
 //							debug(99, "iframe2.1 pathnew: %s", pathnew);
 							free(tmpstr1), tmpstr1 = NULL;
@@ -1057,5 +1057,5 @@
 					incount++;
 					line = ostrcat(line, name, 1, 0);
-					line = ostrcat(line, "#http://kinox.me/People/", 1, 0);
+					line = ostrcat(line, "#http://kinox.sx/People/", 1, 0);
 					line = ostrcat(line, url, 1, 0);
 					line = ostrcat(line, "#", 1, 0);