Index: /titan/plugins/tithek/kinox.h
===================================================================
--- /titan/plugins/tithek/kinox.h	(revision 41940)
+++ /titan/plugins/tithek/kinox.h	(revision 41941)
@@ -64,8 +64,9 @@
 		else
 		{
-			path = string_replace_all("kinox.to", "", search, 0);
-			path = string_replace_all(getconfig("tithek_kinox_url", NULL), "", search, 0);
-			path = string_replace_all("http:///", "", search, 0);
-			path = string_replace_all("https:///", "", search, 0);
+			path = ostrcat(search, NULL, 0, 0);
+//			path = string_replace_all("kinox.to", "", path, 0);
+//			path = string_replace_all(getconfig("tithek_kinox_url", NULL), "", path, 0);
+//			path = string_replace_all("http:///", "", path, 0);
+//			path = string_replace_all("https:///", "", path, 0);
 		}
 //		tmpstr = gethttp(ip, path, 80, NULL, NULL, 10000, NULL, 0);
@@ -74,5 +75,6 @@
 //		tmpstr = gethttps(newurl, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-		cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", newurl, 0, 0);
+		cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", newurl, 0, 0);
+		cmd = ostrcat(cmd, "'", 1, 0);
 		debug(99, "cmd: %s", cmd);
 		tmpstr = command(cmd);
@@ -121,5 +123,6 @@
 //					tmpstr1 = gethttps(newurl, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-					cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", newurl, 0, 0);
+					cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", newurl, 0, 0);
+					cmd = ostrcat(cmd, "'", 1, 0);
 					debug(99, "cmd: %s", cmd);
 					tmpstr1 = command(cmd);
@@ -289,5 +292,6 @@
 //	tmpstr = gethttps(link, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-	cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", link, 0, 0);
+	cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", link, 0, 0);
+	cmd = ostrcat(cmd, "'", 1, 0);
 	debug(99, "cmd: %s", cmd);
 	tmpstr = command(cmd);
@@ -440,5 +444,6 @@
 //						tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-						cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", pathnew, 0, 0);
+						cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", pathnew, 0, 0);
+						cmd = ostrcat(cmd, "'", 1, 0);
 						debug(99, "cmd: %s", cmd);
 						tmpstr1 = command(cmd);
@@ -451,5 +456,6 @@
 //							tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-							cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", pathnew, 0, 0);
+							cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", pathnew, 0, 0);
+							cmd = ostrcat(cmd, "'", 1, 0);
 							debug(99, "cmd: %s", cmd);
 							tmpstr1 = command(cmd);
@@ -463,5 +469,6 @@
 //							tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-							cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", pathnew, 0, 0);
+							cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", pathnew, 0, 0);
+							cmd = ostrcat(cmd, "'", 1, 0);
 							debug(99, "cmd: %s", cmd);
 							tmpstr1 = command(cmd);
@@ -475,5 +482,6 @@
 //							tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-							cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", pathnew, 0, 0);
+							cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", pathnew, 0, 0);
+							cmd = ostrcat(cmd, "'", 1, 0);
 							debug(99, "cmd: %s", cmd);
 							tmpstr1 = command(cmd);
@@ -487,5 +495,6 @@
 //							tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-							cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", pathnew, 0, 0);
+							cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", pathnew, 0, 0);
+							cmd = ostrcat(cmd, "'", 1, 0);
 							debug(99, "cmd: %s", cmd);
 							tmpstr1 = command(cmd);
@@ -845,5 +854,6 @@
 //	tmpstr = gethttps(link, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-	cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", link, 0, 0);
+	cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", link, 0, 0);
+	cmd = ostrcat(cmd, "'", 1, 0);
 	debug(99, "cmd: %s", cmd);
 	tmpstr = command(cmd);
@@ -877,5 +887,6 @@
 //		tmpstr = gethttps(newurl, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-		cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", newurl, 0, 0);
+		cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", newurl, 0, 0);
+		cmd = ostrcat(cmd, "'", 1, 0);
 		debug(99, "cmd: %s", cmd);
 		tmpstr = command(cmd);
@@ -986,5 +997,6 @@
 //						tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-						cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", pathnew, 0, 0);
+						cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", pathnew, 0, 0);
+						cmd = ostrcat(cmd, "'", 1, 0);
 						debug(99, "cmd: %s", cmd);
 						tmpstr1 = command(cmd);
@@ -1010,5 +1022,6 @@
 //							tmpstr1 = gethttps(pathnew, NULL, NULL, NULL, NULL, NULL, 1);
 // new start
-							cmd = ostrcat("/tmp/localhoster/hoster.sh get http://", pathnew, 0, 0);
+							cmd = ostrcat("/tmp/localhoster/hoster.sh get 'http://", pathnew, 0, 0);
+							cmd = ostrcat(cmd, "'", 1, 0);
 							debug(99, "cmd: %s", cmd);
 							tmpstr1 = command(cmd);
@@ -1181,7 +1194,7 @@
 					incount++;
 					line = ostrcat(line, name, 1, 0);
-					line = ostrcat(line, "#http://", 1, 0);
-					line = ostrcat(line, getconfig("tithek_kinox_url", NULL), 1, 0);
-					line = ostrcat(line, "/People/", 1, 0);
+//					line = ostrcat(line, "#http://", 1, 0);
+//					line = ostrcat(line, getconfig("tithek_kinox_url", NULL), 1, 0);
+					line = ostrcat(line, "#/People/", 1, 0);
 					line = ostrcat(line, url, 1, 0);
 					line = ostrcat(line, "#", 1, 0);