Index: titan/mediathek/localparser_secret/kinox.sh
===================================================================
--- titan/mediathek/localparser_secret/kinox.sh	(revision 42454)
+++ titan/mediathek/localparser_secret/kinox.sh	(revision 42463)
@@ -135,24 +135,24 @@
 			if [ `cat /mnt/config/titan.cfg | grep tithek_kinox_pic=1 | wc -l` -eq 1 ];then
 		#		$wgetbin --no-check-certificate "$MAINURL/$ROUND1" -O cache."$filename".list
-				echo $BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
+#				echo $BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
 				$BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND" > $TMP/cache."$filename".list
 				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-					echo $BIN2 /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
-					$BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-					echo $BIN3 /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
-					$BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-					echo $BIN4 /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
-					$BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-					echo $BIN5 /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
-					$BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-					echo $BIN6 /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
+#					echo $BIN2 /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
+					$BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND" > $TMP/cache."$filename".list
+				fi
+				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
+#					echo $BIN3 /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
+					$BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND" > $TMP/cache."$filename".list
+				fi
+				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
+#					echo $BIN4 /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
+					$BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND" > $TMP/cache."$filename".list
+				fi
+				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
+#					echo $BIN5 /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
+					$BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND" > $TMP/cache."$filename".list
+				fi
+				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
+#					echo $BIN6 /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND"
 					$BIN /tmp/localhoster/cloudflare.py "$URL/Stream/$ROUND" > $TMP/cache."$filename".list
 				fi
@@ -242,5 +242,5 @@
 			if [ `cat /mnt/config/titan.cfg | grep tithek_kinox_pic=1 | wc -l` -eq 1 ];then
 		#		$wgetbin --no-check-certificate "$MAINURL/$ROUND1" -O cache."$filename".list
-				echo $BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND"
+#				echo $BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND"
 				$BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND" > $TMP/cache."$filename".list
 				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
@@ -249,17 +249,17 @@
 				fi
 				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-					echo $BIN3 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
-					$BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-					echo $BIN4 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
-					$BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-					echo $BIN5 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
-					$BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-					echo $BIN6 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
+#					echo $BIN3 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
+					$BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND" > $TMP/cache."$filename".list
+				fi
+				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
+#					echo $BIN4 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
+					$BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND" > $TMP/cache."$filename".list
+				fi
+				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
+#					echo $BIN5 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
+					$BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND" > $TMP/cache."$filename".list
+				fi
+				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
+#					echo $BIN6 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
 					$BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND" > $TMP/cache."$filename".list
 				fi